Investigate Chrome profile migration importing history when chrome is running
After some feedback from our automigration project I looked into this a bit.

Apparently SQLite supports a 'read only' flag for opening db connections. Unfortunately, as far as I can tell, it doesn't actually help... I have a wip patch to add support to our sqlite.jsm wrapper, but the SELECT call on the url table still fails, presumably because Chrome keeps an EXCLUSIVE (https://www.sqlite.org/lockingv3.html ) lock on the DB. I haven't found a way of obtaining the data in this case, though maybe we can just copy the file and then read it, or something? Marco, do you know what our options are here? I think it's OK to not get everything, as opposed to getting absolutely nothing.